Skip to main content
`Ctrl`+`K`

# PetscDrawTensorContour

draws a contour plot for a two-dimensional array

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawTensorContour(PetscDraw draw, int m, int n, const PetscReal xi[], const PetscReal yi[], PetscReal *v)

Collective, but `draw` must be sequential

## Input Parameters

- draw - the draw context

- m - the number of local mesh points in the x direction

- n - the number of local mesh points in the y direction

- xi - the locations of the global mesh points in the horizontal direction (optional, use `NULL` to indicate uniform spacing on [0,1])

- yi - the locations of the global mesh points in the vertical direction (optional, use `NULL` to indicate uniform spacing on [0,1])

- v - the values

## Options Database Keys

- -draw_x_shared_colormap - Indicates use of private colormap

- -draw_contour_grid - draws grid contour

## See Also

`PetscDraw`, `PetscDrawTensorContourPatch()`, `PetscDrawScalePopup()`

## Level

intermediate

## Location

src/sys/classes/draw/interface/dtri.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages